@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body{
    margin:0px !important;
    padding:0px !important;
    width:100% !important;
    min-height:100% !important;
}



.divider:after,
.divider:before {
    content: "";
    flex: 1;
    height: 1px;
    background: #eee;
}

.h-custom {
    height: calc(100% - 44px);
}


.sticky-bottom{
    padding-bottom: 3px;
}
/*  start - created by Bryan */



body {
    /* background-image: url('/img/bg-body.jpg'); */
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    $theme-colors: (
  "primary": #55819a,
  "danger": #d41f14,
  "success": #4aa78c,
  "secondary": #b43974,
  "warning":#f5b00d

);
}

.footer {
    bottom: 0;
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    z-index:99;
}

.btn {
    font-size: 0.9em;
}

.btn-primary {
    background: #55819a;
    font-size: 0.9em;
}

.btn-primary:hover {
    background: #3c5d75;
}

.btn-outline-primary {
    --bs-btn-color: #3c5d75;
    --bs-btn-border-color: #3c5d75;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #3c5d75;
    --bs-btn-hover-border-color: #3c5d75;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #3c5d75;
    --bs-btn-active-border-color: #3c5d75;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #3c5d75;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #3c5d75;
    --bs-gradient: none;
}
    .btn-secondary {
    background: #b43974;
    font-size: 0.9em;
}

    .btn-secondary:hover {
        background: #881f51;
    }

.btn-success {
    background: #4aa78c;
    font-size: 0.9em;
}

    .btn-success:hover {
        background: #3c7564;
    }

.btn-warning {
    background: #f5b00d;
    font-size: 0.9em;
}

    .btn-warning:hover {
        background: #c18a07;
    }

.sidebar {
    height: 100%;
    width: 45px;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

    .sidebar a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 25px;
        color: #818181;
        display: block;
        transition: 0.3s;
    }
#main {
    transition: margin-left .5s;
    padding: 16px;
    margin-left: 45px;
}

.main-menu:hover, nav.main-menu.expanded {
    width: 250px;
   /*overflow: visible;*/
}

.main-menu {
    background: #212121;
    border-right: 1px solid #e5e5e5;
    position: absolute;
    top: 0;
    bottom: 0;
    height: 100%;
    left: 0;
    width: 40px;
    overflow: hidden;
    -webkit-transition: width .05s linear;
    transition: width .05s linear;
    -webkit-transform: translateZ(0) scale(1,1);
    z-index: 1000;
}

    .main-menu > ul {
        margin: 7px 0;
    }

    .main-menu li {
        position: relative;
        display: block;
        width: 250px;
    }

        .main-menu li > a {
            position: relative;
            display: table;
            border-collapse: collapse;
            border-spacing: 0;
            color: #999;
            font-family: arial;
            font-size: 14px;
            text-decoration: none;
            -webkit-transform: translateZ(0) scale(1,1);
            -webkit-transition: all .1s linear;
            transition: all .1s linear;
        }

    .main-menu .nav-icon {
        position: relative;
        display: table-cell;
        width: 40px;
        height: 36px;
        text-align: center;
        vertical-align: middle;
        font-size: 18px;
    }

    .main-menu .nav-text {
        position: relative;
        display: table-cell;
        vertical-align: middle;
        width: 190px;
    }

    .main-menu > ul.logout {
        position: fixed;
        left: 0;
        bottom: 0;
    }

.no-touch .scrollable.hover {
    overflow-y: hidden;
}

    .no-touch .scrollable.hover:hover {
        /*overflow-y: auto;
        overflow: visible;*/
    }

a:hover, a:focus {
    text-decoration: none;
}

nav {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
 

}

    nav ul, nav li {
        outline: 0;
        margin: 0;
        padding: 0;
    }

    .main-menu li:hover > a, nav.main-menu li.active > a, .dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus, .dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus, .no-touch .dashboard-page nav.dashboard-menu ul li:hover a, .dashboard-page nav.dashboard-menu ul li.active a {
        color: #fff;
        background-color: #000000;
    }



.no-dropdown::after {
    display:none;
}

.text-start .btn {
    text-align:left !important;
}

@keyframes buttonhover {
    from {
        background-color: #dde7ed;
        color: #cccccc;
        opacity: 0.3;
    }

    to {
        background-color: #eefafe;
        color: blue;
    }
}

.offcanvas {
    background-color: rgba(255,255,255) !important;
}

.offcanvas-header {
    background-color: #ccdee2;
}



.form-floating > .form-control {
    font-size: 0.9rem !important;
    height: calc(3.1rem + 2px) ;
    line-height: 1 !important;
}
.form-floating > .form-select {
    font-size: 0.9rem !important;
    height: calc(3.1rem + 2px);
    line-height: 1 !important;
}

.text-body {
    font-size: 0.9em;
}

label {
    font-size: 0.9em;
}

table {
    background-color: rgba(255,255,255,0.7);
}


tbody td, tbody th{
    /*padding:5px 10px !important;*/
    /*height:20px;*/
}

.table {
    /* min-width: 1200px;*/
}

.table tr td .btn {
    font-size:0.9em;
    border-radius: 0px;
    border:0px;    
    /*padding:3px 6px;*/
}

.pagination-container a, .pagination-container span {
    font-size: 0.9em;
}

.user-group .nav-link {
    background-color: #3c5d75;
    color: #ffffff;
    border-radius: 0;
    border-color: #ffffff;
    border-right-color: #3c5d75;
    width: 100%;
    z-index: 99;
}




    .user-group .nav-link.active, .user-group .nav-link.active, .user-group .nav-tabs .nav-link.active {
        background-color: #fff;
        border-color: #3c5d75;
        width: 100%;
        border-right-color: #fff !important;
    }

        .user-group .nav-link:first-child {
            border-top-left-radius: 8px;
        }

.user-group .nav-link:last-child {
    border-bottom-left-radius: 8px;
}

        .user-group .nav-link:hover {
            border-right-color: #3c5d75;
            background-color: #94bcce;
            color: #000000;
        }

.user-group .tab-content-panel {
    margin-left: -13px;
    border: solid;
    border-width: 1px;
    border-color: #55819a;
    border-radius: 0 8px 8px 0;
    padding-top: 10px;
    z-index: 0;
}

.table tr td {
    font-size: 0.8rem;
    vertical-align: middle !important;
}

.table tr th {
    font-size: 0.8rem;
    vertical-align: middle !important;
}

#accordionMenu .accordion-header button {
    padding-y: 0.5rem;
}


#accordionMenu .accordion-header button:hover {
    color: blue;
    background-image: linear-gradient(#fefefe, #eef7fd);
    border-bottom-color: blue !important;
    border-bottom-width: 1px !important;
    animation-name: buttonhover;
    animation-duration: 0.4s;
    animation-timing-function: ease-in-out;
    --bs-accordion-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, border-radius 0.15s ease;
}

.accordion-collapse .btn-toggle-nav a {
    width: 100%;
}

.accordion-collapse .btn-toggle-nav a:hover {
    width: 100%;
    background-color: #eefafe;
    animation-name: buttonhover;
    animation-duration: 0.4s;
    animation-timing-function: ease;
}

.slide:hover,
.slide:focus {
    box-shadow: inset 6.5em 0 0 0 var(--hover);
}

.pg-title {
    float: left;
    padding-right: 10px;
    vertical-align: middle;
}

    nav .breadcrumb {
        vertical-align: baseline;
        padding-top: 8px;
        

    }


.table > .bg-dark {
    background-color: #3c5d75 !important;
    
}

.table > .bg-dark a {
    color: #fdfeff;
}

    .table > .bg-dark a:hover {
        color: #ccdee2;
    }

.bg-footer {
    background-color: #25323f;
    box-shadow: rgba(0,0,0, 0.3) 0px 5px 2px;
}

@media (max-width: 450px) {
    .footer {
        position: inherit;
    }
    .pg-title {
        float: none;
        padding-right: 10px;
        vertical-align: middle;
    }
    
        nav .breadcrumb {
            vertical-align: baseline;
            padding-top: 2px;
        }
    
}

@media (max-width: 760px) {
    .user-group .nav-link.active, .user-group .nav-link.active, .user-group .nav-tabs .nav-link.active {
        width: 100%;
        z-index: 99;
        border-right-color: #000000 !important;
    }

    .user-group .nav-link {
        border-radius: 0 !important;
        width: 100%;
    }

        .user-group .nav-link:last-child {
            border-bottom-left-radius: 0;
        }

    .user-group .nav-link:hover {
        border-right-color: #000000;
        background-color: #94bcce;
        color: #000000;
    }

    .user-group .tab-content-panel {
        margin-left: -13px;
        border: solid;
        border-width: 1px;
        border-color: #55819a;
        border-radius: 0 0 8px 8px;
        padding-top: 10px;
    }
}

@media (max-width: 1024px) {
    .footer {
        width:100%;
        left:0;
        right:0;
        position: inherit;
    }
}


/*  end - created by Bryan */

@media (max-width: 450px) {
    .h-custom {
        height: 100%;
    }
}


@media (min-width: 1400px) {
    main,
    header,
    #main-navbar {
        padding-left: 240px;
    }
}

.navbar {
    filter: drop-shadow(0px 2px 3px #5F5F5F);
    z-index: 1000;
}

a{
    text-decoration:none !important;
}
a:hover {
    text-decoration: none;
}

.modal-dialog.modal-lg {
    max-width: 90%;
    width: auto;
}


.modal-dialog.modal-md {
    max-width: 800px;
    width: auto;
}

.modal-dialog.modal-md2 {
    max-width: 1100px;
    width: auto;
}



.btn-toggle-nav a {
    display: inline-flex;
    padding: 0.1875rem 0.5rem;
    margin-top: 0.125rem;
    margin-left: 1.25rem;
    text-decoration: none;
}

.btn-toggle {
    display: inline-flex;
    align-items: center;
    padding: .25rem .5rem;
    font-weight: 600;
    color: rgba(0, 0, 0, .65);
    background-color: transparent;
    border: 0;
}

    .btn-toggle:hover,
    .btn-toggle:focus {
        color: rgba(0, 0, 0, .85);
        background-color: #d2f4ea;
    }

    .btn-toggle::before {
        width: 1.25em;
        line-height: 0;
        content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
        transition: transform .35s ease;
        transform-origin: .5em 50%;
    }

    .btn-toggle[aria-expanded="true"] {
        color: rgba(0, 0, 0, .85);
    }

        .btn-toggle[aria-expanded="true"]::before {
            transform: rotate(90deg);
        }

.btn-toggle-nav a {
    display: inline-flex;
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
    text-decoration: none;
}

    .btn-toggle-nav a:hover,
    .btn-toggle-nav a:focus {
        background-color: #d2f4ea;
    }


.chart {
    width: 100%;
    height: 350px;
}

.chartGoogle {
    margin: 0 auto !important;
    text-align: center;
}

.chartGoogle > div {
    position: absolute;
}


.form-floating > .form-control,
.form-floating > .form-select,
.form-floating > .form-control-plaintext {
    padding-top: 0.7rem !important;
    padding-bottom: 0rem !important;
    padding-left: 0.75rem !important;
    padding-right: 0.75rem !important;
}

.form-floating > .textarea-height-1 {
    /*height: calc(6rem + 2px) !important;*/
    min-height: 100px;
    padding-top: 1.2rem !important;
    padding-bottom: 0.4rem !important;
    padding-left: 0.75rem !important;
    padding-right: 0.75rem !important;
}

.form-floating > .form-control,
.form-floating > .form-control-plaintext,
.form-floating > .form-select {
    height: calc(2.5rem + 6px);
    line-height: 1.2 !important;
}

.form-floating > label {
    padding: 0.6rem 0.75rem !important;
    color: #999999;
}

.input-group > .btn{
    padding-top: 8px;
}

.footer {
    padding:10px;
}

.btn-shortcut {
    color: white;
    border-radius: 0px;
    padding: 20px 15px;
    font-family: "Roboto", sans-serif;
    font-size: 0.7rem;
    --font-family-sans-serif: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    max-width: 100% !important;
    max-height: 150px;
    letter-spacing: -0.5px;
    transition: 0.25s;
    --color: #e4cb58;
    --hover: #94e458;
}
.btn-shortcut i {
    font-size: 1.2rem;
}

.row-shortcut div{
    padding:5px 5px !important;
}

.btn-shortcut:hover,
.btn-shortcut:focus {
    box-shadow: inset 0 -10em 0 0 var(--hover);
    color:white;
}

.modal-header {
    background-color: #2b2b29;
    /*color: #dcb15e;*/
    color: white;
    /*text-transform: lowercase;*/
    border-radius: 0px;
    padding-top: 8px;
    padding-bottom: 8px;
    filter: drop-shadow(0px 1px 2px #5F5F5F);
    border-bottom: 0px;
}

.modal-header button {
    filter: invert(85%) sepia(26%) saturate(1001%) hue-rotate(336deg) brightness(90%) contrast(91%);
    opacity:1;
}

.modal-content {
    border-radius: 0px;
    filter: drop-shadow(0px 2px 3px #5F5F5F);
    border:0px;
}

.modal-body {
/*    --bd-callout-bg: rgba(var(--bs-dark-rgb), .175);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));*/
    border-bottom:0px;
}

.modal-footer {
    border-top: 0px;
    padding-top: 0px;
    padding-bottom: 1rem;
    bottom: 0px;
    border-radius: 0px;
    /** try sticky*/
    position: sticky;
    bottom: 0;
    z-index: 1020;
    /*
    background-color: rgba(69, 110, 255, 0.14);
        */
}


/* SAMUEL CHEN - CALLOUT */

.callout {
    padding: 1.25rem;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    border-radius: 0.25rem;
    border: 1px solid var(--bd-callout-border, var(--bs-gray-400));
    border-left-width: 0.25rem;
}

.callout-narrow {
    padding: 1.25rem;
    border-radius: 0.25rem;
    border: 1px solid var(--bd-callout-border, var(--bs-gray-400));
    border-left-width: 0.25rem;
}

.callout-dark {
    border-left: 0.25rem solid var(--bs-dark);
}
.callout-light {
    border-left: 0.25rem solid var(--bs-light);
}
.callout-info {
    border-left: 0.25rem solid var(--bs-info);
}
.callout-primary {
    border-left: 0.25rem solid var(--bs-primary);
}
.callout-success {
    border-left: 0.25rem solid var(--bs-success);
}
.callout-secondary {
    border-left: 0.25rem solid var(--bs-secondary);
}
.callout-warning {
    border-left: 0.25rem solid var(--bs-warning);
}
.callout-danger {
    border-left: 0.25rem solid var(--bs-danger);
}

.callout-bg-info {
    --bd-callout-bg: rgba(var(--bs-info-rgb), .075);
    --bd-callout-border: rgba(var(--bs-info-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-danger {
    --bd-callout-bg: rgba(var(--bs-danger-rgb), .075);
    --bd-callout-border: rgba(var(--bs-danger-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-warning {
    --bd-callout-bg: rgba(var(--bs-warning-rgb), .075);
    --bd-callout-border: rgba(var(--bs-warning-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-secondary {
    --bd-callout-bg: rgba(var(--bs-secondary-rgb), .075);
    --bd-callout-border: rgba(var(--bs-secondary-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-primary {
    --bd-callout-bg: rgba(var(--bs-primary-rgb), .075);
    --bd-callout-border: rgba(var(--bs-primary-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-success {
    --bd-callout-bg: rgba(var(--bs-success-rgb), .075);
    --bd-callout-border: rgba(var(--bs-success-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-dark {
    --bd-callout-bg: rgba(var(--bs-dark-rgb), .075);
    --bd-callout-border: rgba(var(--bs-dark-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}

.callout-bg-light {
    --bd-callout-bg: rgba(var(--bs-light-rgb), .075);
    --bd-callout-border: rgba(var(--bs-light-rgb), .5);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
}
    /* SAMUEL CHEN - CALLOUT END */


/* rende - start */
.hidden {
    display:none;
}
/* rende - end */

/* Yip */
@media (min-width: 1900px) {
    .container {
        max-width: 1820px;
    }
}
#div-loading-indicator {
    position: fixed;
    width: 100%;
    top: 10px;
    margin: 0 auto;
    background-color: Transparent;
    z-index: 10000 !important;
}

.container-menu {
    /* Yip 29 Aug 2023
    padding-right:150px;
    padding-left:150px;*/
}

textarea {
    /*height: auto !important;*/
    resize: vertical !important;
}

.ui-autocomplete {
    position: absolute;
    cursor: default;
    z-index: 30000 !important;
    font-family: var(--bs-font-sans-serif);
    font-size: 0.9rem;
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 150px;
}

.readonly {
    background-color: #e9ecef;
}

input[readonly], input[readonly]:focus, textarea[readonly], textarea[readonly]:focus {
    background-color: #e9ecef;
}

.fielddesc {
    font-style: italic;
    font-size: 11px;
}

.RequiredClass{
    border: 2px solid #990000;
}

.tooltip {
    position: absolute;
    background-color: #333;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
    display: none;
    z-index: 10000;
}

.SelectedRow {
    border: 2px solid #990000;
}

.font-size-sm{
    font-size: 0.6rem;
}
.font-size-md {
    font-size: 0.8rem;
}


@media screen and (max-width: 1025px) {
    .fadeMaximum {
        display: none !important;
    }
}

@media screen and (max-width: 1025px) {
    .fadeMinimal {
        display: block;
    }
}

@media screen and (min-width: 1026px) {
    .fadeMinimal {
        display: none;
    }
}

.div-table {
    overflow-x: auto;
    padding-bottom:10px;
}

.table-responsive > table > thead > tr > th {
    white-space: nowrap;
}
.table-responsive > table > tbody > tr > td {
    white-space: nowrap;
}

.table-responsive {
    display:flow;
    overflow-x:auto !important;
}

.min-input-width
{
    min-width:200px;
}
a.disabled {
    pointer-events: none;
    color: gray;
    cursor: default;
    text-decoration: none;
}